Bug 199853 - [WHLSL] Return the zero-value enum in the enum-from-integer constructor when the integer is not a valid enum value
Summary: [WHLSL] Return the zero-value enum in the enum-from-integer constructor when ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGPU (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on: 199634
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-17 04:10 PDT by Saam Barati
Modified: 2019-07-21 11:32 PDT (History)
9 users (show)

See Also:


Attachments
patch (8.51 KB, patch)
2019-07-20 06:33 PDT, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2019-07-17 04:10:39 PDT
...
Comment 1 Saam Barati 2019-07-20 06:33:23 PDT
Created attachment 374550 [details]
patch
Comment 2 Build Bot 2019-07-20 06:35:03 PDT
Attachment 374550 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLNativeFunctionWriter.cpp:148:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Myles C. Maxfield 2019-07-20 20:27:42 PDT
R=me
Comment 4 WebKit Commit Bot 2019-07-21 11:31:59 PDT
Comment on attachment 374550 [details]
patch

Clearing flags on attachment: 374550

Committed r247675: <https://trac.webkit.org/changeset/247675>
Comment 5 WebKit Commit Bot 2019-07-21 11:32:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-07-21 11:32:16 PDT
<rdar://problem/53370712>